// LissajousDoc.cpp : CLissajousDoc クラスの実装
//

#include "stdafx.h"
#include "Lissajous.h"

#include "LissajousDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CLissajousDoc

IMPLEMENT_DYNCREATE(CLissajousDoc, CDocument)

BEGIN_MESSAGE_MAP(CLissajousDoc, CDocument)
END_MESSAGE_MAP()


// CLissajousDoc コンストラクション/デストラクション

CLissajousDoc::CLissajousDoc()
{
	// TODO: この位置に 1 度だけ呼ばれる構築用のコードを追加してください。

}

CLissajousDoc::~CLissajousDoc()
{
}

BOOL CLissajousDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: この位置に再初期化処理を追加してください。
	// (SDI ドキュメントはこのドキュメントを再利用します。)

	return TRUE;
}




// CLissajousDoc シリアル化

void CLissajousDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: 格納するコードをここに追加してください。
	}
	else
	{
		// TODO: 読み込むコードをここに追加してください。
	}
}


// CLissajousDoc 診断

#ifdef _DEBUG
void CLissajousDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CLissajousDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CLissajousDoc コマンド
